<?php

if (!class_exists("EZFAQAdminPanel")) {
    class EZFAQAdminPanel {
        var $config      = null;

        //constructor
        function EZFAQAdminPanel( $config ) {
            $this->config = $config;
        }

        function valid_options() { return true; }

        //Prints out the admin panel
        function print_admin_panel() {
            $devOptions = $this->config->get_options();

            if (isset($_POST['ezfaq_update']) && $this->valid_options() ) {
                $devOptions['ezfaq_enable_filter']     = $_POST['ezfaq_enable_filter'];
                $devOptions['ezfaq_toc_container_css'] = $_POST['ezfaq_toc_container_css'];
                $devOptions['ezfaq_toc_item_css']      = $_POST['ezfaq_toc_item_css'];
                $devOptions['ezfaq_question_css']      = $_POST['ezfaq_question_css'];
                
                update_option($this->config->optionsName, $devOptions);

?>
<div class="updated">
  <p>
    <strong><?php _e("Setting Updated.", "EZFaq");?></strong>
  </p>
</div>
<?php
            }

?>
<div class=wrap>
    <h2>EZ-FAQ Plugin</h2>

   <form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
   <table>
     <tr>
       <td valign='top'>Enable EZ-FAQ Filter:</td>
       <td><input type="checkbox" name="ezfaq_enable_filter" <?php echo $devOptions['ezfaq_enable_filter'] ? "CHECKED" : "" ?> /></td>
     </tr>
     <tr>
       <td colspan=2>&nbsp;</td>
     </tr>
     <tr>
       <td valign='top'>Table of Contents Container CSS:</td>
       <td><textarea cols='40' rows='6' name="ezfaq_toc_container_css" ><?php echo $devOptions['ezfaq_toc_container_css'] ?></textarea></td>
     </tr>
     <tr>
       <td valign='top'>Table of Contents Item CSS:</td>
       <td><textarea cols='40' rows='6' name="ezfaq_toc_item_css" ><?php echo $devOptions['ezfaq_toc_item_css'] ?></textarea></td>
     </tr>
     <tr>
       <td valign='top'>Question CSS:</td>
       <td><textarea cols='40' rows='6' name="ezfaq_question_css" ><?php echo $devOptions['ezfaq_question_css'] ?></textarea></td>
     </tr>
    </table>

    <input type="submit" name="ezfaq_update" value="<?php _e('Update Settings', 'EZFaq') ?>" />
  </form>
</div>

<?php
        }


    }
} //End Class 

?>
